<form [formGroup]="formGroup" autocomplete="off" class="add-edit-schedule-form">

    <div class="form-group row">

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>First Visit Date</mat-label>
                <app-date-range
                        [formGroup]="formGroup"
                        endDateCtrlName="firstVisitEndDate"
                        startDateCtrlName="firstVisitStartDate"></app-date-range>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>DOB</mat-label>
                <app-date-range
                        [formGroup]="formGroup"
                        endDateCtrlName="dobEndDate"
                        startDateCtrlName="dobStartDate"></app-date-range>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Gender</mat-label>
                <app-dropdown-search [data]="genders" valueField="text" textField="text" formControlName="gender"></app-dropdown-search>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Status</mat-label>
                <app-dropdown-search [data]="status" valueField="text" textField="text" formControlName="status"></app-dropdown-search>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Position</mat-label>
                <app-add-new-dropdown [categoryId]="patientPosition" formControlName="position"></app-add-new-dropdown>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Patient Classification</mat-label>
                <app-add-new-dropdown [categoryId]="patientClassification" formControlName="patientClassification"></app-add-new-dropdown>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Occupation</mat-label>
                <app-add-new-dropdown [categoryId]="patientOccupation" formControlName="occupation"></app-add-new-dropdown>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Marketing Referral Source</mat-label>
                <app-dropdown-search [data]="marketingReferralSource" valueField="id" textField="marketingName" formControlName="marketingReferralSource"></app-dropdown-search>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Concession</mat-label>
                <app-dropdown-search [data]="concessions" valueField="id" textField="concessionType" formControlName="concession"></app-dropdown-search>
            </mat-form-field>
        </div>

        <div class="col-xl-12">
            <mat-form-field [appearance]="apperance" class="full-width">
                <mat-label>Primary Provider</mat-label>
                <app-dropdown-search [data]="practitioners" valueField="practitionerId" textField="displayName" formControlName="primaryProvider"></app-dropdown-search>
            </mat-form-field>
        </div>

    </div>
</form>
